#$Id: default_priority.py,v 1.3 2003/10/05 04:46:44 jrouilla Exp $

def default_prio(db, cl, nodeid, newvalues):
    ''' If the issue has no priority, assign it a medium prio.
        this also works for email submissions
    '''
    # don't fire if the priority is set
    if __debug__:
        print "default_priority.default_prio[auditor]: triggered"
        print "default_prio: nodeid and newvalues:", nodeid, newvalues

    if not newvalues.has_key('priority'):
        newvalues['priority'] = db.priority.lookup(cl.db.config.DEFAULT_PRIORITY)

def init(db):
    # fire before changes are made
    db.issue.audit('create', default_prio)

# vim: set filetype=python ts=4 sw=4 et si
#SHA: 8b886dd30aaffe232873d1bcdeec179cdaa10aa2
